Page MenuHomePhabricator

Flow: "Edit resume" button add infinite text boxes
Closed, ResolvedPublic

Description

Small bug : the button "Edit resume" / "Edit summary" ("Modifier le résumé du sujet" in French) add a text box with the current summary and blue button "Update". But an other click on the same button in the menu add an other text box, and this in loop. It can be user-friendly to disable / hide "Edit summary" when a text box is currently open on the screen.
Thanks you !

(meet on the last post (mark as resolved) of https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Forum_des_nouveaux)

Event Timeline

Framawiki created this task.Jun 9 2016, 6:31 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 9 2016, 6:31 PM

For testing after the fix:

  • click on 'Edit summary' (or 'Summarize'), then click again - no additional text boxes appear

  • Also, check editing board description that displays: Uncaught TypeError: Cannot read property 'model' of undefined (only on the first click)

I precise that the other button that call textbox, "Modify the topic name" ("Modifier le titre"), has not this problem.

Catrope claimed this task.Jun 10 2016, 5:36 PM

Change 293759 had a related patch set uploaded (by Catrope):
Don't allow multiple summary editors to be opened for the same topic

https://gerrit.wikimedia.org/r/293759

Framawiki updated the task description. (Show Details)Jun 10 2016, 6:00 PM

Change 293759 merged by jenkins-bot:
Don't allow multiple summary editors to be opened for the same topic

https://gerrit.wikimedia.org/r/293759

Checked in betalabs - no additional summary editors are open when 'Summarize' is clicked several times. No errors in the Console.

jmatazzoni closed this task as Resolved.Jun 14 2016, 5:50 PM